#ifndef __MOTORCTRL_H
#define __MOTORCTRL_H

#include "Mcu.h"


/*******************************************************************************
 * the typedefs
 ******************************************************************************/
typedef enum
{
    Motor_ACT_NOACT,//停止
    Motor_ACT_CW,//正转
    Motor_ACT_CCW,//反转
    Motor_ACT_NUM,
} Motor_ACT_Type;
typedef enum
{
    Motor1,//
    Motor2,//
    Motor3,//
    Motor4,//
    Motor5,//
    Motor6,//
    MOTOR_NUM,
} Motor_ID_Type;



void MotorCtrl_Init(McuType *obj);
void MotorCtrl_Maintask(McuType *obj);
void setMotorState(Motor_ID_Type motorid,Motor_ACT_Type act);
void setMotorTarget(uint8_t motorid,uint16_t target);
void StartAutoCal(void);
void StopAutoCal(void);



#endif

